<?xml version='1.0' encoding='utf-8' ?>
<!DOCTYPE LIGO_LW [
<!ELEMENT LIGO_LW ((LIGO_LW|Comment|Param|Table|Array|Stream|IGWDFrame|AdcData|Time)*)>
<!ATTLIST LIGO_LW
          Name CDATA #IMPLIED
          Type CDATA #IMPLIED>

<!ELEMENT Comment (#PCDATA)>

<!ELEMENT Param (#PCDATA|Comment)*>
<!ATTLIST Param 
          Name CDATA #IMPLIED
          Type CDATA #IMPLIED
          Unit CDATA #IMPLIED>

<!ELEMENT Table (Comment?,Column*,Stream?)>
<!ATTLIST Table 
          Name CDATA #IMPLIED
          Type CDATA #IMPLIED>

<!ELEMENT Column EMPTY>
<!ATTLIST Column
          Name CDATA #IMPLIED
          Type CDATA #IMPLIED
          Unit CDATA #IMPLIED>

<!ELEMENT Array (Dim*,Stream?)>
<!ATTLIST Array 
          Name CDATA #IMPLIED
          Type CDATA #IMPLIED>

<!ELEMENT Dim (#PCDATA)>
<!ATTLIST Dim 
          Name  CDATA #IMPLIED
          Units CDATA #IMPLIED>

<!ELEMENT Stream (#PCDATA)>
<!ATTLIST Stream 
          Name      CDATA #IMPLIED
          Type      (Remote|Local) "Local"
          Delimiter CDATA ","
          Encoding  CDATA #IMPLIED
          Content   CDATA #IMPLIED>

<!ELEMENT IGWDFrame ((Comment|Param|Time|Detector|AdcData|LIGO_LW|Stream?|Array|IGWDFrame)*)>
<!ATTLIST IGWDFrame 
          Name CDATA #IMPLIED>

<!ELEMENT Detector ((Comment|Param|LIGO_LW)*)>
<!ATTLIST Detector 
          Name CDATA #IMPLIED>

<!ELEMENT AdcData ((AdcData|Comment|Param|Time|LIGO_LW|Array)*)>
<!ATTLIST AdcData 
          Name CDATA #IMPLIED>

<!ELEMENT Time (#PCDATA)>
<!ATTLIST Time 
          Name CDATA #IMPLIED
          Type (GPS|Unix|ISO-8601) "ISO-8601">
]>

<LIGO_LW Name="ligo:ldas:file">
   <Table Name="frameset_chanlistgroup:frameset_chanlist:table">
      <Column Name="frameset_chanlistgroup:frameset_chanlist:process_id" Type="ilwd:char_u"/>
      <Column Name="frameset_chanlistgroup:frameset_chanlist:frameset_group" Type="ilwd:char"/>
      <Column Name="frameset_chanlistgroup:frameset_chanlist:start_time" Type="int_4s"/>
      <Column Name="frameset_chanlistgroup:frameset_chanlist:end_time" Type="int_4s"/>
      <Column Name="frameset_chanlistgroup:frameset_chanlist:chanlist_length" Type="int_4s"/>
      <Stream Name="frameset_chanlistgroup:frameset_chanlist:table" Type="Local" Delimiter=",">
         "\040\001\011\006\030\111\041\225\047\204\000\000\000","frameset_group_999802342",683837554,683837554,999802342,
         "\040\001\011\006\030\111\041\225\050\046\000\000\000","frameset_group_999802343",683837555,683837555,999802343,
         "\040\001\011\006\030\111\041\225\050\067\000\000\000","frameset_group_999802344",683837556,683837556,999802344,
         "\040\001\011\006\030\111\041\225\050\111\000\000\000","frameset_group_999802345",683837557,683837557,999802345,
         "\040\001\011\006\030\111\041\225\050\142\000\000\000","frameset_group_999802346",683837558,683837558,999802346,
         "\040\001\011\006\030\111\041\225\050\165\000\000\000","frameset_group_999802347",683837559,683837559,999802347,
         "\040\001\011\006\030\111\041\225\050\211\000\000\000","frameset_group_999802348",683837560,683837560,999802348,
         "\040\001\011\006\030\111\041\225\051\003\000\000\000","frameset_group_999802349",683837561,683837561,999802349,
         "\040\001\011\006\030\111\041\225\051\030\000\000\000","frameset_group_999802350",683837562,683837562,999802350,
         "\040\001\011\006\030\111\041\225\051\063\000\000\000","frameset_group_999802351",683837563,683837563,999802351
      </Stream>
   </Table>
</LIGO_LW>